#include "Wumbo-InputMethod.h"
#include <cstdio>

namespace Wumbo
{
	InputMethod::InputMethod()
	{
		initialized = false;
	}
	InputMethod::~InputMethod()
	{
		initialized = false;
	}
	void InputMethod::update()
	{
		printf("InputMethod::update() -- this method must be overwritten in child classes.\n");
	}
	void InputMethod::initialize()
	{
		printf("I AM INITIALIZIZZLED\n");
		initialized = true;
	}
	void InputMethod::deinitialize()
	{
		printf("I AM NOT INITIALIZIZZLED\n");
		initialized = false;
	}
	bool InputMethod::isInitialized()
	{
		return initialized;
	}
};